## pytest-runner 2.11.1

=== docs/requirements.txt ===
rst.linker

## pytest-runner 2.7.1

=== debian/changelog ===
pytest-runner (2.7.1-1~nd16.04+1) xenial; urgency=medium

  * Backported for xenial.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Wed, 05 Apr 2017 21:25:10 +0200

pytest-runner (2.7.1-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Wed, 06 Apr 2016 13:16:07 +1000

pytest-runner (2.7-1) unstable; urgency=medium

  * Initial release. (Closes: #819853)

 -- Brian May <bam@debian.org>  Sun, 03 Apr 2016 13:53:31 +1000

=== debian/control ===
Source: pytest-runner
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends: debhelper (>=9), dh-python,
 python-all (>= 2.6.6-3~), python-setuptools, python-setuptools-scm,
 python3-all, python3-setuptools, python3-setuptools-scm,
Standards-Version: 3.9.7
Homepage: https://github.com/pytest-dev/pytest-runner
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest-runner.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pytest-runner.git

Package: python-pytest-runner
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}
Description: Invoke py.test as distutils command with dependency resolution
 Setup scripts can use pytest-runner to add setup.py test support for pytest
 runner.
 .
 This package contains the Python 2 module.

Package: python3-pytest-runner
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}
Description: Invoke py.test as distutils command with dependency resolution
 Setup scripts can use pytest-runner to add setup.py test support for pytest
 runner.
 .
 This package contains the Python 3 module.

## pytest-runner 2.11.1

=== debian/changelog ===
pytest-runner (2.11.1-5) unstable; urgency=medium

  * Team Upload
  * Relace "py.test" with "pytest" in description
  * Add debian/salsa-ci.yml
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Tue, 28 Oct 2025 12:29:10 +0100

pytest-runner (2.11.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-python.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:36:01 +0100

pytest-runner (2.11.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 03:31:26 +0100

pytest-runner (2.11.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * debian/compat remove

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Jun 2022 22:45:17 -0400

pytest-runner (2.11.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937565

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Apr 2020 10:40:58 -0400

pytest-runner (2.11.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * python-pytest-runner: Add the missing dependencies on
    python-pkg-resources and python-setuptools. (Closes: #896231)
  * python3-pytest-runner: Add the missing dependencies on
    python3-pkg-resources and python3-setuptools. (Closes: #896428)

 -- Adrian Bunk <bunk@debian.org>  Thu, 27 Sep 2018 20:35:32 +0300

pytest-runner (2.11.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Distinguish between Py2 and Py3 version in short description
  * Added upstream changelog
  * Depend on newer dh-python which sets SETUPTOOLS_SCM_PRETEND_VERSION
  * wrap-and-sort -t -a
  * d/copyright
    - Changed copyright year for new release
    - Added myself to Debian part
  * Added python{3,}-pytest to B-D
  * Removed version from python-all in B-D

  [ Brian May ]
  * New upstream release.
  * Update Standards-Version to 4.0.0.

 -- Brian May <bam@debian.org>  Tue, 11 Jul 2017 18:01:58 +1000

=== debian/control ===
Source: pytest-runner
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.2
Homepage: https://github.com/pytest-dev/pytest-runner
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-runner.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-runner

Package: python3-pytest-runner
Architecture: all
Depends:
 python3-pkg-resources,
 python3-setuptools,
 ${misc:Depends},
 ${python3:Depends},
Description: Invoke pytest as distutils command with dependency resolution
 Setup scripts can use pytest-runner to add setup.py test support for pytest
 runner.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pytest-runner

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_auto_test:
# Tests not enabled because there don't appear to be any tests to run.

## pytest-runner 6.0.1

=== debian/changelog ===
pytest-runner (6.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #1021329).
  * Stop using pkg_resources (closes: #1083591).

 -- Colin Watson <cjwatson@debian.org>  Sun, 04 Jan 2026 18:14:00 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-packaging,
  python3-pytest,
  python3-setuptools,
  python3-setuptools-scm,
@@ -18,8 +20,8 @@
 
 Package: python3-pytest-runner
 Architecture: all
+Multi-Arch: foreign
 Depends:
- python3-pkg-resources,
  python3-setuptools,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,5 @@
 	dh_installchangelogs CHANGES.rst
 
 override_dh_auto_test:
-# Tests not enabled because there don't appear to be any tests to run.
+# Tests require pytest-virtualenv, which isn't in Debian and probably
+# couldn't be used during a package build anyway.
